# Method Parser.XML.Tree.AbstractSimpleNode()->add_child_before()

Method add_child_before

  `AbstractSimpleNode add_child_before(AbstractSimpleNode c, AbstractSimpleNode old)`

Description

  Adds the node c to the list of children of this node. The node is added before the node old, which is assumed to be an existing child of this node. The node is added last if old is zero.

Returns

  The current node.